#!/bin/sh -x

# A script to deploy the CC EJBs

BASE=/usr/local
# using new jdk >= 1.2
JAVA_HOME=$BASE/jdk1.2.1
JAVA=$JAVA_HOME/bin/java

WEBLOGIC_HOME=/install/weblogic
WEBLOGIC_CLASSES=$WEBLOGIC_HOME/classes

JAVA_CLASSES=$JAVA_HOME/jre/lib/rt.jar
AUX=$WEBLOGIC_HOME/lib/weblogicaux.jar
UNPACKED_JARS=$WEBLOGIC_HOME/lib/unpacked_jars
JAVAX_EJB=$UNPACKED_JARS/javax_ejb.jar
JTS=$UNPACKED_JARS/javax_jts.jar
EJB=$JAVAX_EJB:$JTS:$AUX

APPLICATION_CLASSES=$WEBLOGIC_CLASSES/globecom/globalsale/ejbs
JAVACLASSPATH=$JAVA_CLASSES:$EJB:./classes/Jars/jndi.jar:./classes/Jars/javax_ejb.zip:./classes/boot:./classes
CLASSPATH=$JAVACLASSPATH:$APPLICATION_CLASSES

## echo ------ calling weblogic.ejb.utils.DDCreator
## $JAVA weblogic.ejb.utils.DDCreator -d $DEPLOY2  $BASE/project/deploy/my_beanDD.txt
## echo ------ weblogic.ejb.utils.DDCreator done


echo ------ calling weblogic.ejbc for each ejb

echo ------ Deploying AccountEntityBean/AccountEntityDD.ser
### $JAVA -classpath $CLASSPATH weblogic.ejb.utils.DDCreator -d $WEBLOGIC_CLASSES -outputfile AccountEntityDD.ser $EJBPATH/AccountEntityDD.txt

$JAVA -classpath $JAVACLASSPATH weblogic.ejbc -d $WEBLOGIC_CLASSES $APPLICATION_CLASSES/AccountEntityBean/AccountEntityDD.ser

echo ------ Deploying AdminSessionBean/AdminBeanDD.ser
$JAVA -classpath $JAVACLASSPATH weblogic.ejbc -d $WEBLOGIC_CLASSES $APPLICATION_CLASSES/AdminSessionBean/AdminBeanDD.ser

echo ------ Deploying NodeEntityEJB/NodeEntityDD.ser
$JAVA -classpath $JAVACLASSPATH weblogic.ejbc -d $WEBLOGIC_CLASSES $APPLICATION_CLASSES/NodeEntityEJB/NodeEntityDD.ser

echo ------ Deploying PKEntityEJB/PKEntityDD.ser
$JAVA -classpath $JAVACLASSPATH weblogic.ejbc -d $WEBLOGIC_CLASSES $APPLICATION_CLASSES/PKEntityEJB/PKEntityDD.ser

echo ------ Deploying PKSchedulerBean/PKSchedDD.ser
$JAVA -classpath $JAVACLASSPATH weblogic.ejbc -d $WEBLOGIC_CLASSES $APPLICATION_CLASSES/PKSchedulerBean/PKSchedDD.ser

echo ------ Deploying ResourceEntityEJB/ResourceDD.ser
$JAVA -classpath $JAVACLASSPATH weblogic.ejbc -d $WEBLOGIC_CLASSES $APPLICATION_CLASSES/ResourceEntityEJB/ResourceDD.ser

echo ------ Deploying contentManager/ContentManagerDD.ser
$JAVA -classpath $JAVACLASSPATH weblogic.ejbc -d $WEBLOGIC_CLASSES $APPLICATION_CLASSES/contentManager/ContentManagerDD.ser

echo ------ Deploying publisheLog/PublisherLogDD.ser
$JAVA -classpath $JAVACLASSPATH weblogic.ejbc -d $WEBLOGIC_CLASSES $APPLICATION_CLASSES/publisheLog/PublisherLogDD.ser

echo ------ Deploying publisher/PublisherDD.ser
$JAVA -classpath $JAVACLASSPATH weblogic.ejbc -d $WEBLOGIC_CLASSES $APPLICATION_CLASSES/publisher/PublisherDD.ser

echo ------ Deploying schdulerLog/SchedulerLogDD.ser
$JAVA -classpath $JAVACLASSPATH weblogic.ejbc -d $WEBLOGIC_CLASSES $APPLICATION_CLASSES/schdulerLog/SchedulerLogDD.ser

echo ------ Deploying userEntityEJB/userDD.ser
$JAVA -classpath $JAVACLASSPATH weblogic.ejbc -d $WEBLOGIC_CLASSES $APPLICATION_CLASSES/userEntityEJB/userDD.ser

echo ------ Deploying systemLogger/systemLoggerSessionDD.ser
$JAVA -classpath $JAVACLASSPATH weblogic.ejbc -d $WEBLOGIC_CLASSES $APPLICATION_CLASSES/systemLogger/systemLoggerSessionDD.ser

echo ------ calling weblogic.ejbc done

echo ------  CC bean's deployment finished.
